<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: RTC Exported Constants</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">RTC Exported Constants<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d4/de0/group___n_a_n_o1_x2___r_t_c___driver.html">RTC Driver</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for RTC Exported Constants:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.png" border="0" usemap="#ad7_2dd6_2group______n__a__n__o1__x2______r__t__c______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:d4/d20/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d20/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html">RTC Exported Structs</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gace2e621cf311ddafd978e876953bbd86"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gace2e621cf311ddafd978e876953bbd86">RTC_INIT_KEY</a>&#160;&#160;&#160;0xA5EB1357</td></tr>
<tr class="separator:gace2e621cf311ddafd978e876953bbd86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaefb0e06ea59926e7709bedb051769d18"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaefb0e06ea59926e7709bedb051769d18">RTC_WRITE_KEY</a>&#160;&#160;&#160;0xA965</td></tr>
<tr class="separator:gaefb0e06ea59926e7709bedb051769d18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4509da3e94e7e0db18aec46a165639e9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4509da3e94e7e0db18aec46a165639e9">RTC_WAIT_COUNT</a>&#160;&#160;&#160;0xFFFFFFFF</td></tr>
<tr class="separator:ga4509da3e94e7e0db18aec46a165639e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf4bc57ef88a74f48a523fc619e44e5d6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf4bc57ef88a74f48a523fc619e44e5d6">RTC_YEAR2000</a>&#160;&#160;&#160;2000</td></tr>
<tr class="separator:gaf4bc57ef88a74f48a523fc619e44e5d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad1ffda007d70a9a079244d8834314078"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad1ffda007d70a9a079244d8834314078">RTC_FCR_REFERENCE</a>&#160;&#160;&#160;32761</td></tr>
<tr class="separator:gad1ffda007d70a9a079244d8834314078"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaae8017fbc59380b143776f18af4c75d7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae8017fbc59380b143776f18af4c75d7">RTC_CLOCK_12</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:gaae8017fbc59380b143776f18af4c75d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3a81ec9eddb2c5fc996570d1185fd5a5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3a81ec9eddb2c5fc996570d1185fd5a5">RTC_CLOCK_24</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ga3a81ec9eddb2c5fc996570d1185fd5a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gada0b52b6e9e895690741af2154d2f82e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada0b52b6e9e895690741af2154d2f82e">RTC_AM</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:gada0b52b6e9e895690741af2154d2f82e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacef25d3892e668ac7b3e28e0dc514991"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacef25d3892e668ac7b3e28e0dc514991">RTC_PM</a>&#160;&#160;&#160;2</td></tr>
<tr class="separator:gacef25d3892e668ac7b3e28e0dc514991"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacae7474edb8348888c19f53eed6e04cb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacae7474edb8348888c19f53eed6e04cb">RTC_TICK_1_SEC</a>&#160;&#160;&#160;((uint32_t) 0x00000000)</td></tr>
<tr class="separator:gacae7474edb8348888c19f53eed6e04cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b24bdfec65411ed86561c5057b6e2d3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2b24bdfec65411ed86561c5057b6e2d3">RTC_TICK_1_2_SEC</a>&#160;&#160;&#160;((uint32_t) 0x00000001)</td></tr>
<tr class="separator:ga2b24bdfec65411ed86561c5057b6e2d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga22acfe416fd7fd64246d90f4b1c2d37c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22acfe416fd7fd64246d90f4b1c2d37c">RTC_TICK_1_4_SEC</a>&#160;&#160;&#160;((uint32_t) 0x00000002)</td></tr>
<tr class="separator:ga22acfe416fd7fd64246d90f4b1c2d37c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga63d16421cb8cf2ae29f2e0001f00cd23"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga63d16421cb8cf2ae29f2e0001f00cd23">RTC_TICK_1_8_SEC</a>&#160;&#160;&#160;((uint32_t) 0x00000003)</td></tr>
<tr class="separator:ga63d16421cb8cf2ae29f2e0001f00cd23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaad376fffcee4cad18823b456f777185b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad376fffcee4cad18823b456f777185b">RTC_TICK_1_16_SEC</a>&#160;&#160;&#160;((uint32_t) 0x00000004)</td></tr>
<tr class="separator:gaad376fffcee4cad18823b456f777185b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga208b9d944db8cd72fb7c771d05997889"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga208b9d944db8cd72fb7c771d05997889">RTC_TICK_1_32_SEC</a>&#160;&#160;&#160;((uint32_t) 0x00000005)</td></tr>
<tr class="separator:ga208b9d944db8cd72fb7c771d05997889"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga20fa7a7cd34ad66ba1cf5274576bab93"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga20fa7a7cd34ad66ba1cf5274576bab93">RTC_TICK_1_64_SEC</a>&#160;&#160;&#160;((uint32_t) 0x00000006)</td></tr>
<tr class="separator:ga20fa7a7cd34ad66ba1cf5274576bab93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5f1df452ec1c9aa318763f8e3828b451"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5f1df452ec1c9aa318763f8e3828b451">RTC_TICK_1_128_SEC</a>&#160;&#160;&#160;((uint32_t) 0x00000007)</td></tr>
<tr class="separator:ga5f1df452ec1c9aa318763f8e3828b451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga75ff3b52950ae540fa13aa5e08eba542"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga75ff3b52950ae540fa13aa5e08eba542">RTC_SUNDAY</a>&#160;&#160;&#160;((uint32_t) 0x00000000)</td></tr>
<tr class="separator:ga75ff3b52950ae540fa13aa5e08eba542"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2e374db336a0ae99553627b9df14d120"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2e374db336a0ae99553627b9df14d120">RTC_MONDAY</a>&#160;&#160;&#160;((uint32_t) 0x00000001)</td></tr>
<tr class="separator:ga2e374db336a0ae99553627b9df14d120"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafd122eb2d134598321cff83a3a052f10"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafd122eb2d134598321cff83a3a052f10">RTC_TUESDAY</a>&#160;&#160;&#160;((uint32_t) 0x00000002)</td></tr>
<tr class="separator:gafd122eb2d134598321cff83a3a052f10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga620a6070ae47cbbae98021311da05006"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga620a6070ae47cbbae98021311da05006">RTC_WEDNESDAY</a>&#160;&#160;&#160;((uint32_t) 0x00000003)</td></tr>
<tr class="separator:ga620a6070ae47cbbae98021311da05006"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga186df79e32dff064ecc49815c9bc4c17"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga186df79e32dff064ecc49815c9bc4c17">RTC_THURSDAY</a>&#160;&#160;&#160;((uint32_t) 0x00000004)</td></tr>
<tr class="separator:ga186df79e32dff064ecc49815c9bc4c17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad7ce41b76d89cfa3b4f5783d01f5a47d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad7ce41b76d89cfa3b4f5783d01f5a47d">RTC_FRIDAY</a>&#160;&#160;&#160;((uint32_t) 0x00000005)</td></tr>
<tr class="separator:gad7ce41b76d89cfa3b4f5783d01f5a47d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad6fa739d323fe37d14cc1e0ef430dc6c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad6fa739d323fe37d14cc1e0ef430dc6c">RTC_SATURDAY</a>&#160;&#160;&#160;((uint32_t) 0x00000006)</td></tr>
<tr class="separator:gad6fa739d323fe37d14cc1e0ef430dc6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga86896ecf9392dc45baaa71f0284197a3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga86896ecf9392dc45baaa71f0284197a3">RTC_SNOOPER_RISING</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:ga86896ecf9392dc45baaa71f0284197a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6f0cb8f0e36d056a6e0220ef7507134d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6f0cb8f0e36d056a6e0220ef7507134d">RTC_SNOOPER_FALLING</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ga6f0cb8f0e36d056a6e0220ef7507134d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="gada0b52b6e9e895690741af2154d2f82e" name="gada0b52b6e9e895690741af2154d2f82e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gada0b52b6e9e895690741af2154d2f82e">&#9670;&nbsp;</a></span>RTC_AM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_AM&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >RTC AM </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00046">46</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gaae8017fbc59380b143776f18af4c75d7" name="gaae8017fbc59380b143776f18af4c75d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaae8017fbc59380b143776f18af4c75d7">&#9670;&nbsp;</a></span>RTC_CLOCK_12</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_CLOCK_12&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >RTC 12 Hour </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00043">43</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga3a81ec9eddb2c5fc996570d1185fd5a5" name="ga3a81ec9eddb2c5fc996570d1185fd5a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3a81ec9eddb2c5fc996570d1185fd5a5">&#9670;&nbsp;</a></span>RTC_CLOCK_24</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_CLOCK_24&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >RTC 24 Hour </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00044">44</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gad1ffda007d70a9a079244d8834314078" name="gad1ffda007d70a9a079244d8834314078"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad1ffda007d70a9a079244d8834314078">&#9670;&nbsp;</a></span>RTC_FCR_REFERENCE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_FCR_REFERENCE&#160;&#160;&#160;32761</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >RTC Reference </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00041">41</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gad7ce41b76d89cfa3b4f5783d01f5a47d" name="gad7ce41b76d89cfa3b4f5783d01f5a47d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad7ce41b76d89cfa3b4f5783d01f5a47d">&#9670;&nbsp;</a></span>RTC_FRIDAY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_FRIDAY&#160;&#160;&#160;((uint32_t) 0x00000005)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Day of week is friday </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00063">63</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gace2e621cf311ddafd978e876953bbd86" name="gace2e621cf311ddafd978e876953bbd86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gace2e621cf311ddafd978e876953bbd86">&#9670;&nbsp;</a></span>RTC_INIT_KEY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_INIT_KEY&#160;&#160;&#160;0xA5EB1357</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >RTC Access Key <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00035">35</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga2e374db336a0ae99553627b9df14d120" name="ga2e374db336a0ae99553627b9df14d120"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2e374db336a0ae99553627b9df14d120">&#9670;&nbsp;</a></span>RTC_MONDAY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_MONDAY&#160;&#160;&#160;((uint32_t) 0x00000001)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Day of week is monday </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00059">59</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gacef25d3892e668ac7b3e28e0dc514991" name="gacef25d3892e668ac7b3e28e0dc514991"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacef25d3892e668ac7b3e28e0dc514991">&#9670;&nbsp;</a></span>RTC_PM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_PM&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >RTC PM </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00047">47</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gad6fa739d323fe37d14cc1e0ef430dc6c" name="gad6fa739d323fe37d14cc1e0ef430dc6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad6fa739d323fe37d14cc1e0ef430dc6c">&#9670;&nbsp;</a></span>RTC_SATURDAY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_SATURDAY&#160;&#160;&#160;((uint32_t) 0x00000006)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Day of week is saturday </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00064">64</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga6f0cb8f0e36d056a6e0220ef7507134d" name="ga6f0cb8f0e36d056a6e0220ef7507134d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6f0cb8f0e36d056a6e0220ef7507134d">&#9670;&nbsp;</a></span>RTC_SNOOPER_FALLING</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_SNOOPER_FALLING&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Snooper Active Falling Edge </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00068">68</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga86896ecf9392dc45baaa71f0284197a3" name="ga86896ecf9392dc45baaa71f0284197a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga86896ecf9392dc45baaa71f0284197a3">&#9670;&nbsp;</a></span>RTC_SNOOPER_RISING</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_SNOOPER_RISING&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Snooper Active Rising Edge </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00067">67</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga75ff3b52950ae540fa13aa5e08eba542" name="ga75ff3b52950ae540fa13aa5e08eba542"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga75ff3b52950ae540fa13aa5e08eba542">&#9670;&nbsp;</a></span>RTC_SUNDAY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_SUNDAY&#160;&#160;&#160;((uint32_t) 0x00000000)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Day of week is sunday </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00058">58</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga186df79e32dff064ecc49815c9bc4c17" name="ga186df79e32dff064ecc49815c9bc4c17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga186df79e32dff064ecc49815c9bc4c17">&#9670;&nbsp;</a></span>RTC_THURSDAY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_THURSDAY&#160;&#160;&#160;((uint32_t) 0x00000004)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Day of week is thursday </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00062">62</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga5f1df452ec1c9aa318763f8e3828b451" name="ga5f1df452ec1c9aa318763f8e3828b451"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5f1df452ec1c9aa318763f8e3828b451">&#9670;&nbsp;</a></span>RTC_TICK_1_128_SEC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_TICK_1_128_SEC&#160;&#160;&#160;((uint32_t) 0x00000007)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Time tick is 1/128 second </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00056">56</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gaad376fffcee4cad18823b456f777185b" name="gaad376fffcee4cad18823b456f777185b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaad376fffcee4cad18823b456f777185b">&#9670;&nbsp;</a></span>RTC_TICK_1_16_SEC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_TICK_1_16_SEC&#160;&#160;&#160;((uint32_t) 0x00000004)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Time tick is 1/16 second </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00053">53</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga2b24bdfec65411ed86561c5057b6e2d3" name="ga2b24bdfec65411ed86561c5057b6e2d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2b24bdfec65411ed86561c5057b6e2d3">&#9670;&nbsp;</a></span>RTC_TICK_1_2_SEC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_TICK_1_2_SEC&#160;&#160;&#160;((uint32_t) 0x00000001)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Time tick is 1/2 second </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00050">50</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga208b9d944db8cd72fb7c771d05997889" name="ga208b9d944db8cd72fb7c771d05997889"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga208b9d944db8cd72fb7c771d05997889">&#9670;&nbsp;</a></span>RTC_TICK_1_32_SEC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_TICK_1_32_SEC&#160;&#160;&#160;((uint32_t) 0x00000005)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Time tick is 1/32 second </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00054">54</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga22acfe416fd7fd64246d90f4b1c2d37c" name="ga22acfe416fd7fd64246d90f4b1c2d37c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga22acfe416fd7fd64246d90f4b1c2d37c">&#9670;&nbsp;</a></span>RTC_TICK_1_4_SEC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_TICK_1_4_SEC&#160;&#160;&#160;((uint32_t) 0x00000002)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Time tick is 1/4 second </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00051">51</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga20fa7a7cd34ad66ba1cf5274576bab93" name="ga20fa7a7cd34ad66ba1cf5274576bab93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga20fa7a7cd34ad66ba1cf5274576bab93">&#9670;&nbsp;</a></span>RTC_TICK_1_64_SEC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_TICK_1_64_SEC&#160;&#160;&#160;((uint32_t) 0x00000006)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Time tick is 1/64 second </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00055">55</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga63d16421cb8cf2ae29f2e0001f00cd23" name="ga63d16421cb8cf2ae29f2e0001f00cd23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga63d16421cb8cf2ae29f2e0001f00cd23">&#9670;&nbsp;</a></span>RTC_TICK_1_8_SEC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_TICK_1_8_SEC&#160;&#160;&#160;((uint32_t) 0x00000003)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Time tick is 1/8 second </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00052">52</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gacae7474edb8348888c19f53eed6e04cb" name="gacae7474edb8348888c19f53eed6e04cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacae7474edb8348888c19f53eed6e04cb">&#9670;&nbsp;</a></span>RTC_TICK_1_SEC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_TICK_1_SEC&#160;&#160;&#160;((uint32_t) 0x00000000)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Time tick is 1 second </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00049">49</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gafd122eb2d134598321cff83a3a052f10" name="gafd122eb2d134598321cff83a3a052f10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafd122eb2d134598321cff83a3a052f10">&#9670;&nbsp;</a></span>RTC_TUESDAY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_TUESDAY&#160;&#160;&#160;((uint32_t) 0x00000002)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Day of week is tuesday </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00060">60</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga4509da3e94e7e0db18aec46a165639e9" name="ga4509da3e94e7e0db18aec46a165639e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4509da3e94e7e0db18aec46a165639e9">&#9670;&nbsp;</a></span>RTC_WAIT_COUNT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_WAIT_COUNT&#160;&#160;&#160;0xFFFFFFFF</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Initial Time Out Value <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00038">38</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga620a6070ae47cbbae98021311da05006" name="ga620a6070ae47cbbae98021311da05006"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga620a6070ae47cbbae98021311da05006">&#9670;&nbsp;</a></span>RTC_WEDNESDAY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_WEDNESDAY&#160;&#160;&#160;((uint32_t) 0x00000003)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Day of week is wednesday </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00061">61</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gaefb0e06ea59926e7709bedb051769d18" name="gaefb0e06ea59926e7709bedb051769d18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaefb0e06ea59926e7709bedb051769d18">&#9670;&nbsp;</a></span>RTC_WRITE_KEY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_WRITE_KEY&#160;&#160;&#160;0xA965</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >RTC Access Key <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00036">36</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gaf4bc57ef88a74f48a523fc619e44e5d6" name="gaf4bc57ef88a74f48a523fc619e44e5d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf4bc57ef88a74f48a523fc619e44e5d6">&#9670;&nbsp;</a></span>RTC_YEAR2000</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_YEAR2000&#160;&#160;&#160;2000</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >RTC Reference </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00040">40</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
